ssu-esl-selectn(1)

NAME

ssu-esl-selectn - select random subset of lines from file

SYNOPSIS
ssu-esl-selectn [options] nlines filename

DESCRIPTION
ssu-esl-selectn selects nlines lines at random from file filename and outputs them on stdout. If filename is - (a single dash), input is read from stdin. The algorithm used is efficient, requiring only a single pass through filename and memory storage proportional to nlines (and importantly, not to the size of filename itself). ssu-esl-selectn can therefore be used to create large scale statistical sampling experiments, especially in combination with other Easel miniapplications.

OPTIONS

-h  Print brief help; includes version number and summary of all options, including expert options.

--seed <d>
    Set the random number seed to <d>, an integer greater than 0. The default is to use the current value of time(). (As the return value of time() is likely to be in units of seconds, two calls to ssu-esl-selectn within the same second will generate exactly the same sample; this may not be what you want.)

AUTHOR
Easel and its documentation are Copyright (C) 2016 HHMI Janelia Farm Research Campus. Freely distributed under the BSD open source license.. See COPYING in the source code distribution for more details. The Easel home page is: http://bioeasel.org/